@font-face {
  font-family: "hafs";
  src: url("./fonts/hafs.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "IranYekanX";
  src: url("./fonts/IRANYekanX-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
}

button,
input,
select {
  font-family: "IranYekanX";
  font-size: 16px;
}

body {
  background-color: #f2f2f2;
  margin: 0;
  padding: 0 10px;
  text-align: right;
  direction: rtl;
  font-size: 16px;
  font-family: "IranYekanX";
  -moz-font-feature-settings: "ss02";
  -webkit-font-feature-settings: "ss02";
  font-feature-settings: "ss02";
}

button,
input,
select {
  -moz-font-feature-settings: "ss02";
  -webkit-font-feature-settings: "ss02";
  font-feature-settings: "ss02";
}

.container {
  width: 480px;
  margin: 20px auto;
}

@media (max-width: 640px) {
  .container {
    width: 100%;
  }
}

.nav {
  margin-bottom: 20px;

  button,
  input,
  select {
    background-color: #fff;
    border: none;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.05);
    padding: 12px 10px;
    border-radius: 10px;
    outline: none;
  }

  input {
    text-align: center;
    max-width: 100px;
  }

  .verse-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;
  }

  .page-nav {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
}

.quran {
  background-color: #fff;
  border: none;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.05);
  padding: 20px;
  border-radius: 10px;
  text-align: justify;

  #desc {
    background: #fafafa;
    border-radius: 5px;
    border-bottom: 1px dashed #f1f1f1;
    color: #686868;
    padding: 5px 10px;
    font-size: 12px;
    display: flex;
    align-items: center;
    gap: 20px;

    span {
      display: flex;
      align-items: center;
    }
  }

  .sura {
    background-color: rgba(28, 111, 205, 0.085);
    border-radius: 5px;
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 12px;

    span {
      display: inline-flex;
      background-color: rgba(28, 111, 205, 0.15);
      border-radius: 4px;
      color: rgb(9, 57, 112);
      padding: 5px 15px;
      align-items: center;
      justify-content: center;
      font-weight: 900;
      font-size: 18px;
      font-family: "hafs";
      margin-top: -10px;
      width: 75%;
    }
  }

  .bism {
    font-family: "hafs";
    font-size: 23px;
    margin: 10px;
    text-align: center;
    color: #282828;
  }

  .theVerse.selected .text-fa,
  .theVerse.selected .text {
    position: relative;
    border-bottom: 10px solid rgba(28, 111, 205, 0.065);
    color: #1a5eea;
  }

  .text-fa {
    font-size: 16px;
    line-height: 2;
  }

  .text {
    font-family: "hafs";
    font-size: 23px;
    line-height: 2;
  }

  .aya {
    font-family: "hafs";
    font-size: 23px;
    color: #1a5eea;
    position: relative;
    height: 10px;
    display: inline-flex;
    align-items: end;
  }

  .aya::after {
    content: "";
    width: 100%;
    height: 20px;
    border-radius: 10px;
    position: absolute;
    background-color: rgba(28, 111, 205, 0.085);
    right: 0;
    left: 0;
    bottom: 0;
  }
}
